moeoEA(3)

NAME
moeoEA - Abstract class for multi-objective evolutionary algorithms.

SYNOPSIS

#include <moeoEA.h>

Inherits eoAlgo< MOEOT >.

Inherited by moeoEasyEA< MOEOT >, and moeoNSGAII< MOEOT >.

Detailed Description

  template<class MOEOT> class moeoEA< MOEOT >
Abstract class for multi-objective evolutionary algorithms.

Definition at line 22 of file moeoEA.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.